Page MenuHomePhabricator

Alt text for images should be spellchecked in Firefox
Closed, ResolvedPublic1 Estimated Story Points

Description

Similar to T179654: The input field for the alt text for images (last input in the image editor) isn't spellchecked automatically, so it should be forced to do so.

Event Timeline

Schnark created this task.Dec 8 2017, 9:21 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 8 2017, 9:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

On a second thought: The alt attribute accepts multiline text (both in HTML and Mediawiki), so a multiline input for it would make sense, and would enable spellchecking in most if not all browsers automatically.

Change 397866 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Enable spellchecking on media caption inputs

https://gerrit.wikimedia.org/r/397866

Change 397866 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Enable spellchecking on media caption inputs

https://gerrit.wikimedia.org/r/397866

Deskana closed this task as Resolved.Dec 12 2017, 5:06 PM
Deskana assigned this task to Esanders.
Deskana triaged this task as Medium priority.
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 12 2017, 5:06 PM
Ryasmeen renamed this task from Alt text for images should be spellchecked to Alt text for images should be spellchecked .Jan 4 2018, 12:16 AM
Ryasmeen renamed this task from Alt text for images should be spellchecked to Alt text for images should be spellchecked in Firefox.